Name:           auto-tuned
Version:        %{?_version}%{!?_version:1.0}
Release:        1%{?dist}
Summary:        Power management targets and services for systemd

License:        GPL
URL:            https://example.com/auto-tuned
Source0:        %{name}-%{_version}.tar.gz

BuildArch:      noarch
Requires:       systemd
Requires:       udev

%description
This package provides systemd targets and services for power management,
including battery and power supply monitoring with corresponding udev rules.

%prep
%setup -q

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

# Create directories
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
mkdir -p $RPM_BUILD_ROOT%{_udevrulesdir}

# Install systemd files
install -m 644 systemd/battery.target $RPM_BUILD_ROOT%{_unitdir}/
install -m 644 systemd/power-supply.target $RPM_BUILD_ROOT%{_unitdir}/
install -m 644 systemd/battery-profile.service $RPM_BUILD_ROOT%{_unitdir}/
install -m 644 systemd/power-supply-profile.service $RPM_BUILD_ROOT%{_unitdir}/

# Install udev rules
install -m 644 udev/99-power-targets.rules $RPM_BUILD_ROOT%{_udevrulesdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post battery.target power-supply.target battery-profile.service power-supply-profile.service
# Reload udev rules
/usr/bin/udevadm control --reload-rules || :

%preun
%systemd_preun battery.target power-supply.target battery-profile.service power-supply-profile.service

%postun
%systemd_postun battery.target power-supply.target battery-profile.service power-supply-profile.service
# Reload udev rules
/usr/bin/udevadm control --reload-rules || :

%files
%doc README.md
%{_unitdir}/battery.target
%{_unitdir}/power-supply.target
%{_unitdir}/battery-profile.service
%{_unitdir}/power-supply-profile.service
%{_udevrulesdir}/99-power-targets.rules

%changelog
* Thu Jun 05 2025 Package Maintainer <maintainer@example.com> - 1.0-1
- Initial package release
